summaryrefslogtreecommitdiffstats
path: root/development/python3/python3.SlackBuild
diff options
context:
space:
mode:
author Audrius Kažukauskas2010-05-12 23:28:50 +0200
committer David Somero2010-05-12 23:28:50 +0200
commit29ec79b9939c41327042ff5cd081b7001e65b11e (patch)
tree744dfd3e7258b402f20dbe627d90450af443114b /development/python3/python3.SlackBuild
parent0ab3886b595a7960108a4fa48b737b3598a076ef (diff)
downloadslackbuilds-29ec79b9939c41327042ff5cd081b7001e65b11e.tar.gz
development/python3: Added to 12.2 repository
Diffstat (limited to 'development/python3/python3.SlackBuild')
-rw-r--r--development/python3/python3.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/development/python3/python3.SlackBuild b/development/python3/python3.SlackBuild
new file mode 100644
index 0000000000..70ec977cbb
--- /dev/null
+++ b/development/python3/python3.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for python3
+# Written by Audrius Kažukauskas <audrius@neutrino.lt>
+# Based on Patrick Volkerding's official build script for python
+
+PRGNAM=python3
+VERSION=${VERSION:-3.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Location for Python site-packages:
+SITEPK=$PKG/usr/lib/python3.0/site-packages
+# same as above without $PKG
+TOOLSDIR=/usr/lib/python3.0/site-packages
+
+# Normally I don't trust -O3, but it is the Python default so
+# I'll assume that in this case it has been well tested.
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O3 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O3 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Python-$VERSION
+tar xvf $CWD/Python-$VERSION.tar.bz2
+cd Python-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+OPT="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --with-ncurses \
+ --with-threads \
+ --enable-ipv6 \
+ --enable-shared
+
+make
+make altinstall DESTDIR=$PKG
+
+# We'll install the python-tools under site-packages:
+mkdir -p $SITEPK
+( cd Tools ; cp -a * $SITEPK )
+mkdir -p $PKG/usr/doc/python3-$VERSION
+mv $SITEPK/README $PKG/usr/doc/python3-$VERSION/README.python-tools
+( cd $PKG/usr/doc/python3-$VERSION
+ ln -sf $TOOLSDIR Tools
+)
+
+# Install docs:
+mkdir -p $PKG/usr/doc/python3-$VERSION
+cp -a Misc README $PKG/usr/doc/python3-$VERSION
+
+# Resolve name conflicts regarding 2.x releases:
+( cd $PKG/usr/bin
+ mv idle idle3.0
+ mv smtpd.py smtpd3.0.py
+ mv pydoc pydoc3.0
+)
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz